<?php
header('Content-Type: application/json');
require("dbinfo.php");
require("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}
mysqli_set_charset($con,"utf8");


$sql = "";
$historia = "";
$id = 0;
$tipo = "CONEX_CAPTA";


if( $_REQUEST["sql_capta"] ) {
   $sql_capta = $_REQUEST['sql_capta'];
}


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if( $_REQUEST["historia"] ) {
   $historia = $_REQUEST['historia'];
}

if( $_REQUEST["id"] ) {
   $id = $_REQUEST['id'];
}

if( $_REQUEST["tipo"] ) {
   $tipo = $_REQUEST['tipo'];
}

if($sql != '')
{
   $resultado = mysqli_query($con,$sql);
}

if($sql_capta != '')
{
   $resultado = mysqli_query($con,$sql_capta);
}

   

$usuario = "administrador";
if( $_REQUEST["usuario"] ) {
   $usuario = $_REQUEST['usuario'];
}

   
if($id > 0 && $historia != '' && $tipo != '')
{
   $fecha = dl_fecha::dl_ahora_texto();
   $sql = "INSERT INTO log2 (id_elemento,descripcion,tipo,fecha,usuario,tipo_elemento) VALUES (" . $id . ",'Se modifica geometria de conexion de captacion','GEOMETRIA MODIFICADA','" . $fecha . "','" . $usuario . "','CONEX_CAPTA')";
   $resultado = mysqli_query($con,$sql);
}

mysqli_close($con);
$resultado = array();
echo json_encode($resultado);
?>